## freedict 2016.12.12

=== afr-deu/Makefile ===
FREEDICTDIR ?= ..
DISTFILES = AUTHORS ChangeLog COPYING INSTALL Makefile NEWS README afr-deu.tei \
            freedict-P5.dtd freedict-P5.rng freedict-P5.xml freedict-dictionary.css
include $(FREEDICTDIR)/tools/Makefile.common
#include $(toolsdir)/ergane/Makefile.inc

# for teidiff testing: checkout an old revision
#old/$(dictname).tei:
#	cvs -z3 checkout -d old -D 2006-01-01 $(dictname)/$(dictname).tei

#old = old/$(dictname).tei

#$(dictname).tei: $(dictname).tei.header

=== bre-fra/Makefile ===
FREEDICTDIR ?= ..
DISTFILES = bre-fra.tei tei.css COPYING tei.xsl Makefile \
			freedict-P5.rng freedict-P5.dtd freedict-P5.xml ChangeLog
supported_phonetics=
include $(FREEDICTDIR)/tools/Makefile.common

=== ces-eng/Makefile ===
FREEDICTDIR ?= ..
DISTFILES = Makefile COPYING INSTALL NEWS README AUTHORS ChangeLog ces-eng.tei \
 freedict-P5.dtd freedict-P5.rng freedict-P5.xml freedict-dictionary.css
supported_phonetics=
include $(FREEDICTDIR)/tools/Makefile.common
#include $(toolsdir)/ergane/Makefile.inc

#$(dictname).tei: $(dictname).tei.header

#3clean::
#	rm -f $(toolsdir)/ergane/zip/cze.zip

# for teidiff testing: checkout an old revision
#old/$(dictname).tei:
#	cvs -z3 checkout -d old -D 2006-01-01 $(dictname)/$(dictname).tei

#old = old/$(dictname).tei

=== ckb-kmr/Makefile ===
FREEDICTDIR ?= ..
DISTFILES = sor-kur.txt Makefile ckb-kmr.tei ckb-kmr.tei.header README ChangeLog \
  INSTALL freedict-P5.dtd freedict-P5.rng freedict-P5.xml freedict-dictionary.css
include $(FREEDICTDIR)/tools/Makefile.common

#$(dictname).tei: sor-kur.txt $(dictname).tei.header \
#	$(toolsdir)/xdf2tei.pl
#	cat $(dictname).tei.header >$@
#	$(toolsdir)/xdf2tei.pl <$< >>$@
#	echo "</body></text></TEI.2>" >>$@

#clean::
#	-rm $(dictname).tei

=== deu-eng/Makefile ===
FREEDICTDIR ?= ..
DISTFILES = AUTHORS COPYING ChangeLog INSTALL Makefile NEWS README deu-eng.tei \
 freedict-P5.dtd freedict-P5.rng freedict-P5.xml freedict-dictionary.css

# Clear this variable, because currently the .tei file already contains
# phonetics information.  This will have to be removed, when proper import from
# upstream is implemented.
supported_phonetics =

include $(FREEDICTDIR)/tools/Makefile.common

=== deu-ita/Makefile ===
FREEDICTDIR ?= ..
DISTFILES = AUTHORS ChangeLog COPYING INSTALL Makefile NEWS README deu-ita.tei \
 freedict-P5.dtd freedict-P5.rng freedict-P5.xml freedict-dictionary.css
supported_phonetics=
include $(FREEDICTDIR)/tools/Makefile.common
#include $(toolsdir)/ergane/Makefile.inc

#$(dictname)-nophon.tei: $(dictname).tei.header

# for teidiff testing: checkout an old revision
#old/$(dictname).tei:
#	cvs -z3 checkout -d old -D 2006-01-01 $(dictname)/$(dictname).tei

#old = old/$(dictname).tei

=== deu-nld/Makefile ===
FREEDICTDIR ?= ..
DISTFILES = AUTHORS ChangeLog COPYING INSTALL Makefile NEWS README deu-nld.tei \
 freedict-P5.dtd freedict-P5.rng freedict-P5.xml freedict-dictionary.css
supported_phonetics=
include $(FREEDICTDIR)/tools/Makefile.common
#include $(toolsdir)/ergane/Makefile.inc

$(dictname)-nophon.tei: $(dictname).tei.header

# for teidiff testing: checkout an old revision
#old/$(dictname).tei:
#	cvs -z3 checkout -d old -D 2006-01-01 $(dictname)/$(dictname).tei

#old = old/$(dictname).tei

=== deu-swe/Makefile ===
FREEDICTDIR ?= ..
DISTFILES = AUTHORS ChangeLog COPYING INSTALL Makefile NEWS README deu-swe.tei \
 freedict-P5.dtd freedict-P5.rng freedict-P5.xml freedict-dictionary.css
supported_phonetics=
include $(FREEDICTDIR)/tools/Makefile.common

=== eng-cym/Makefile ===
FREEDICTDIR ?= ..
DISTFILES = AUTHORS ChangeLog COPYING eng-cym.tei INSTALL Makefile freedict-P5.dtd freedict-dictionary.css freedict-P5.rng freedict-P5.xml
supported_phonetics=

include $(FREEDICTDIR)/tools/Makefile.common

=== eng-deu/Makefile ===
FREEDICTDIR ?= ..
DISTFILES = AUTHORS ChangeLog COPYING eng-deu.tei INSTALL Makefile NEWS README \
freedict-P5.dtd freedict-P5.rng freedict-P5.xml freedict-dictionary.css
# Clear this variable, because currently the .tei file already contains
# phonetics information.  This will have to be removed, when proper import from
# upstream is implemented.
supported_phonetics =

include $(FREEDICTDIR)/tools/Makefile.common

=== eng-fra/Makefile ===
FREEDICTDIR ?= ..
DISTFILES = Makefile COPYING INSTALL NEWS README eng-fra.tei \
freedict-P5.dtd freedict-P5.rng freedict-P5.xml freedict-dictionary.css
supported_phonetics=
include $(FREEDICTDIR)/tools/Makefile.common

#include $(toolsdir)/ergane/Makefile.inc

#$(dictname)-nophon.tei: $(dictname).tei.header

# for teidiff: checkout an old revision
#old/$(dictname).tei:
#	cvs -z3 checkout -d old -D 2006-01-01 $(dictname)/$(dictname).tei

#old = old/$(dictname).tei

=== eng-rus/Makefile ===
FREEDICTDIR ?= ..
DISTFILES = eng-rus.tei ChangeLog AUTHORS Makefile COPYING INSTALL NEWS README \
freedict-P5.dtd freedict-P5.rng freedict-P5.xml freedict-dictionary.css

supported_phonetics =
UNSUPPORTED_PLATFORMS = evolutionary
include $(FREEDICTDIR)/tools/Makefile.common

#include $(toolsdir)/ergane/Makefile.inc

#$(dictname)-nophon.tei: $(dictname).tei.header

# for teidiff: checkout an old revision
#old/$(dictname).tei:
#	cvs -z3 checkout -d old -D 2006-01-01 $(dictname)/$(dictname).tei

#old = old/$(dictname).tei

=== debian/changelog ===
freedict (2016.12.12-1) unstable; urgency=medium

  * new upstream versions of fra-deu and deu-fra
  * new dictionaries swe-deu and deu-swe
  * correct missing line breaks (Closes: #847689)

 -- Sebastian Humenda <shumenda@gmx.de>  Mon, 12 Dec 2016 18:13:16 +0100

freedict (2016.10.22-2) unstable; urgency=medium

  * add patch to build jpn-eng; jpn-eng can take more than 150 minutes to
    build (on slower machines) and this could trigger a FTBFS; there's an
    indication on stdout now that the conversion still runs (closes: #844813)

 -- Sebastian Humenda <shumenda@gmx.de>  Wed, 30 Nov 2016 10:41:12 +0100

freedict (2016.10.22-1) unstable; urgency=medium

  * new upstream version
  * add patch to correct incorrect translation of eng-hin (Closes: #771289)
  * fix typo in dict-freedict-all description (Closes: 769762)
  * drop OpenDict support

 -- Sebastian Humenda <shumenda@gmx.de>  Sat, 22 Oct 2016 18:02:33 +0000

=== debian/control ===
Source: freedict
Section: text
Priority: optional
Maintainer: Sebastian Humenda <shumenda@gmx.de>
Build-Depends: debhelper (>= 9.0~), dbview, unzip, xsltproc,
    libxml-libxml-perl, python3, procps
Build-Depends-Indep: dictzip, dictfmt (>= 1.10.0)
Standards-Version: 3.9.8
Homepage: http://freedict.org/
Vcs-Browser: https://anonscm.debian.org/gitweb/?p=pkg-freedict/freedict.git
Vcs-Git: https://anonscm.debian.org/git/pkg-freedict/freedict.git


Package: dict-freedict-all
Architecture: all
Depends: ${misc:Depends}, dict-freedict-afr-deu, dict-freedict-afr-eng, dict-freedict-ara-eng, dict-freedict-bre-fra, dict-freedict-ces-eng, dict-freedict-ckb-kmr, dict-freedict-cym-eng, dict-freedict-dan-eng, dict-freedict-deu-eng, dict-freedict-deu-fra, dict-freedict-deu-ita, dict-freedict-deu-kur, dict-freedict-deu-nld, dict-freedict-deu-por, dict-freedict-deu-swe, dict-freedict-deu-tur, dict-freedict-eng-afr, dict-freedict-eng-ara, dict-freedict-eng-ces, dict-freedict-eng-cym, dict-freedict-eng-deu, dict-freedict-eng-ell, dict-freedict-eng-fra, dict-freedict-eng-gle, dict-freedict-eng-hin, dict-freedict-eng-hrv, dict-freedict-eng-hun, dict-freedict-eng-ita, dict-freedict-eng-lat, dict-freedict-eng-lit, dict-freedict-eng-nld, dict-freedict-eng-pol, dict-freedict-eng-por, dict-freedict-eng-rom, dict-freedict-eng-rus, dict-freedict-eng-spa, dict-freedict-eng-srp, dict-freedict-eng-swe, dict-freedict-eng-swh, dict-freedict-eng-tur, dict-freedict-fra-bre, dict-freedict-fra-deu, dict-freedict-fra-eng, dict-freedict-fra-nld, dict-freedict-gla-deu, dict-freedict-gle-eng, dict-freedict-gle-pol, dict-freedict-hrv-eng, dict-freedict-hun-eng, dict-freedict-isl-eng, dict-freedict-ita-deu, dict-freedict-ita-eng, dict-freedict-jpn-deu, dict-freedict-jpn-eng, dict-freedict-jpn-fra, dict-freedict-jpn-rus, dict-freedict-kha-deu, dict-freedict-kha-eng, dict-freedict-kur-deu, dict-freedict-kur-eng, dict-freedict-kur-tur, dict-freedict-lat-deu, dict-freedict-lat-eng, dict-freedict-lit-eng, dict-freedict-mkd-bul, dict-freedict-nld-deu, dict-freedict-nld-eng, dict-freedict-nld-fra, dict-freedict-nno-nob, dict-freedict-oci-cat, dict-freedict-pol-gle, dict-freedict-por-deu, dict-freedict-por-eng, dict-freedict-san-deu, dict-freedict-slk-eng, dict-freedict-spa-ast, dict-freedict-spa-eng, dict-freedict-spa-por, dict-freedict-srp-eng, dict-freedict-swe-deu, dict-freedict-swe-eng, dict-freedict-swh-eng, dict-freedict-swh-pol, dict-freedict-tur-deu, dict-freedict-tur-eng
Description: meta-package to install dictionary databases from the FreeDict project
 This package can be used to install all available bilingual dictionaries from
 the FreeDict project at once.

Package: dict-freedict-afr-deu
Architecture: all
Depends: ${misc:Depends}
Suggests: dictd | dicod, dict | kdict | gnome-dictionary | goldendict
Provides: dictd-dictionary
Description: Afrikaans-German dictionary for the dict server/client 
 This is the Afrikaans-German dictionary from the FreeDict project in version
 0.3 (FreeDict status: too small). It contains 3800 headwords. It can be used
 for the dict server in conjunction with a dict client. 

Package: dict-freedict-afr-eng
Architecture: all
Depends: ${misc:Depends}
Suggests: dictd | dicod, dict | kdict | gnome-dictionary | goldendict
Provides: dictd-dictionary
Description: Afrikaans-English dictionary for the dict server/client 
 This is the Afrikaans-English dictionary from the FreeDict project in version
 0.2.1 (FreeDict status: small). It contains 5100 headwords. It can be used for
 the dict server in conjunction with a dict client. 

Package: dict-freedict-ara-eng
Architecture: all
Depends: ${misc:Depends}
Suggests: dictd | dicod, dict | kdict | gnome-dictionary | goldendict
Provides: dictd-dictionary
Description: Arabic-English dictionary for the dict server/client 
 This is the Arabic-English dictionary from the FreeDict project in version
 0.6.2 (FreeDict status: stable). It contains 53000 headwords. It can be used
 for the dict server in conjunction with a dict client. 

Package: dict-freedict-bre-fra
Architecture: all
Depends: ${misc:Depends}
Suggests: dictd | dicod, dict | kdict | gnome-dictionary | goldendict
Provides: dictd-dictionary
Description: Breton-French dictionary for the dict server/client 
 This is the Breton-French dictionary from the FreeDict project in version
 0.8.0 (FreeDict status: Big enough to be useful). It contains 27185 headwords.
 It can be used for the dict server in conjunction with a dict client. 

Package: dict-freedict-ces-eng
Architecture: all
Depends: ${misc:Depends}
Suggests: dictd | dicod, dict | kdict | gnome-dictionary | goldendict
Provides: dictd-dictionary
Description: Czech-English dictionary for the dict server/client 
 This is the Czech-English dictionary from the FreeDict project in version
 0.2.1 (FreeDict status: too small). It contains 490 headwords. It can be used
 for the dict server in conjunction with a dict client. 

Package: dict-freedict-ckb-kmr
Architecture: all
Depends: ${misc:Depends}
Suggests: dictd | dicod, dict | kdict | gnome-dictionary | goldendict
Provides: dictd-dictionary
Description: Central Kurdish-Northern Kurdish dictionary for the dict server/client 
 This is the Central Kurdish-Northern Kurdish dictionary from the FreeDict
 project in version 0.1.1 (FreeDict status: stable). It contains 7850 headwords.
 It can be used for the dict server in conjunction with a dict client. 

Package: dict-freedict-cym-eng
Architecture: all
Depends: ${misc:Depends}
Suggests: dictd | dicod, dict | kdict | gnome-dictionary | goldendict
Provides: dictd-dictionary
Description: Welsh-English dictionary for the dict server/client 
 This is the Welsh-English dictionary from the FreeDict project in version
 0.2.2 (FreeDict status: big enough). It contains 13000 headwords. It can be
 used for the dict server in conjunction with a dict client. 

Package: dict-freedict-dan-eng
Architecture: all
Depends: ${misc:Depends}
Suggests: dictd | dicod, dict | kdict | gnome-dictionary | goldendict
Provides: dictd-dictionary
Description: Danish-English dictionary for the dict server/client 
 This is the Danish-English dictionary from the FreeDict project in version
 0.2.1 (FreeDict status: too small). It contains 4000 headwords. It can be used
 for the dict server in conjunction with a dict client. 

Package: dict-freedict-deu-eng
Architecture: all
Depends: ${misc:Depends}
Suggests: dictd | dicod, dict | kdict | gnome-dictionary | goldendict
Provides: dictd-dictionary
Description: German-English dictionary for the dict server/client 
 This is the German-English dictionary from the FreeDict project in version
 0.3.4 (FreeDict status: old upstream version). It contains 81000 headwords. It
 can be used for the dict server in conjunction with a dict client. 

Package: dict-freedict-deu-fra
Architecture: all
Depends: ${misc:Depends}
Suggests: dictd | dicod, dict | kdict | gnome-dictionary | goldendict
Provides: dictd-dictionary
Description: German-French dictionary for the dict server/client 
 This is the German-French dictionary from the FreeDict project in version
 2016-11-20. It contains 30425 headwords. It can be used for the dict server in
 conjunction with a dict client. 

Package: dict-freedict-deu-ita
Architecture: all
Depends: ${misc:Depends}
Suggests: dictd | dicod, dict | kdict | gnome-dictionary | goldendict
Provides: dictd-dictionary
Description: German-Italian dictionary for the dict server/client 
 This is the German-Italian dictionary from the FreeDict project in version
 0.1.1 (FreeDict status: small). It contains 4450 headwords. It can be used for
 the dict server in conjunction with a dict client. 

Package: dict-freedict-deu-kur
Architecture: all
Depends: ${misc:Depends}
Suggests: dictd | dicod, dict | kdict | gnome-dictionary | goldendict
Provides: dictd-dictionary
Description: German-Kurdish dictionary for the dict server/client 
 This is the German-Kurdish dictionary from the FreeDict project in version
 0.2.1 (FreeDict status: stable). It contains 22500 headwords. It can be used
 for the dict server in conjunction with a dict client. 

Package: dict-freedict-deu-nld
Architecture: all
Depends: ${misc:Depends}
Suggests: dictd | dicod, dict | kdict | gnome-dictionary | goldendict
Provides: dictd-dictionary
Description: German-Dutch dictionary for the dict server/client 
 This is the German-Dutch dictionary from the FreeDict project in version
 0.1.1 (FreeDict status: small). It contains 12800 headwords. It can be used for
 the dict server in conjunction with a dict client. 

Package: dict-freedict-deu-por
Architecture: all
Depends: ${misc:Depends}
Suggests: dictd | dicod, dict | kdict | gnome-dictionary | goldendict
Provides: dictd-dictionary
Description: German-Portuguese dictionary for the dict server/client 
 This is the German-Portuguese dictionary from the FreeDict project in version
 0.2.1 (FreeDict status: too small). It contains 8740 headwords. It can be used
 for the dict server in conjunction with a dict client. 

Package: dict-freedict-deu-swe
Architecture: all
Depends: ${misc:Depends}
Suggests: dictd | dicod, dict | kdict | gnome-dictionary | goldendict
Provides: dictd-dictionary
Description: German-Swedish dictionary for the dict server/client 
 This is the German-Swedish dictionary from the FreeDict project in version
 2016-11-20. It contains 36276 headwords. It can be used for the dict server in
 conjunction with a dict client. 

Package: dict-freedict-deu-tur
Architecture: all
Depends: ${misc:Depends}
Suggests: dictd | dicod, dict | kdict | gnome-dictionary | goldendict
Provides: dictd-dictionary
Description: German-Turkish dictionary for the dict server/client 
 This is the German-Turkish dictionary from the FreeDict project in version
 0.2.1 (FreeDict status: stable). It contains 38000 headwords. It can be used
 for the dict server in conjunction with a dict client. 

Package: dict-freedict-eng-afr
Architecture: all
Depends: ${misc:Depends}
Suggests: dictd | dicod, dict | kdict | gnome-dictionary | goldendict
Provides: dictd-dictionary
Description: English-Afrikaans dictionary for the dict server/client 
 This is the English-Afrikaans dictionary from the FreeDict project in version
 0.1.1 (FreeDict status: small). It contains 6400 headwords. It can be used for
 the dict server in conjunction with a dict client. 

Package: dict-freedict-eng-ara
Architecture: all
Depends: ${misc:Depends}
Suggests: dictd | dicod, dict | kdict | gnome-dictionary | goldendict
Provides: dictd-dictionary
Description: English-Arabic dictionary for the dict server/client 
 This is the English-Arabic dictionary from the FreeDict project in version
 0.6.2 (FreeDict status: stable). It contains 87400 headwords. It can be used
 for the dict server in conjunction with a dict client. 

Package: dict-freedict-eng-ces
Architecture: all
Depends: ${misc:Depends}
Suggests: dictd | dicod, dict | kdict | gnome-dictionary | goldendict
Provides: dictd-dictionary
Description: English-Czech dictionary for the dict server/client 
 This is the English-Czech dictionary from the FreeDict project in version
 0.1.1 (FreeDict status: stable). It contains 150000 headwords. It can be used
 for the dict server in conjunction with a dict client. 

Package: dict-freedict-eng-cym
Architecture: all
Depends: ${misc:Depends}
Suggests: dictd | dicod, dict | kdict | gnome-dictionary | goldendict
Provides: dictd-dictionary
Description: English-Welsh dictionary for the dict server/client 
 This is the English-Welsh dictionary from the FreeDict project in version
 0.2.2 (FreeDict status: big enough). It contains 13000 headwords. It can be
 used for the dict server in conjunction with a dict client. 

Package: dict-freedict-eng-deu
Architecture: all
Depends: ${misc:Depends}
Suggests: dictd | dicod, dict | kdict | gnome-dictionary | goldendict
Provides: dictd-dictionary
Description: English-German dictionary for the dict server/client

=== debian/rules ===
#!/usr/bin/make -f
# ToDo: rewrite to be more modern

# Uncomment this to turn on verbose mode.
# export DH_VERBOSE=1

DICTS=$(shell find . -maxdepth 1 -name '???-???' -printf "%f ")

# Support parallel build
# increase compat level, then set:
#DEB_BUILD_OPTIONS=parallel=<num>

# If the environment variable BUILD_MODE=dummy, no dictionaries are build, but
# only dummy files are created. This is useful for test builds of the package,
# because the actual build takes ages.
BUILD_MODE ?= normal

build: build-prep all-dz

build-prep:
	dh_testdir
	# generate TEI file for hun-eng:
	cd hun-eng; make hun-eng.tei

$(DICTS): timestamp
ifeq ($(BUILD_MODE),normal)
	$(MAKE) -C $@ $@.dict.dz
else
	cd $@ && touch $@.dict.dz && touch $@.index && cd ..
endif

timestamp:
	touch $@

all-dz: timestamp $(DICTS)

build-stamp:
	touch build-stamp

# for lintian
build-indep: build
build-arch: build

clean:
	dh_testdir
	rm -f build-stamp timestamp configure-stamp
	rm -rf config.txt
	for DICT in $(DICTS); do \
		rm -f $$DICT/$$DICT.index $$DICT/$$DICT.dict.dz $$DICT/$$DICT.dict $$DICT/$$DICT.c5; \
		rm -rf debian/dict-freedict-$$DICT.docs; \
	done
	dh_clean
	-rm debian/*.dirs debian/*.links debian/*.postinst debian/*.postrm
	# special exception:
	-rm -rf hun-eng/SZOTAR.DBF hun-eng/hun-eng.tei eng-hun/SZOTAR.DBF eng-hun/eng-hun.tei


install: build
	dh_testdir
	dh_testroot
	dh_prep

	# create debian/dict-freedict-$LANG.{links|dirs} file and maint scripts
	for DICT in $(DICTS); do \
		sed "s/LANG/$$DICT/g" debian/dict-freedict-lang-dirs.tmpl > \
			debian/dict-freedict-$$DICT.dirs; \
		sed "s/LANG/$$DICT/g" debian/dict-freedict-lang-links.tmpl > \
			debian/dict-freedict-$$DICT.links; \
		cp debian/postinst debian/dict-freedict-$$DICT.postinst; \
		cp debian/postrm debian/dict-freedict-$$DICT.postrm; \
	done

	dh_installdirs

	# copy files to final destination
	for FILE in $(DICTS); do \
		cp $$FILE/$$FILE.dict.dz debian/dict-freedict-$$FILE/usr/share/dictd/freedict-$$FILE.dict.dz; \
		cp $$FILE/$$FILE.index debian/dict-freedict-$$FILE/usr/share/dictd/freedict-$$FILE.index; \
	done

	# generate *.docs-files:
	sh debian/gendocs.sh


binary-arch: build install
# We have nothing to do by default.

binary-indep: build install
	dh_testdir
	dh_testroot
	dh_installchangelogs
	dh_installdocs
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

get-orig-source:
	# requires python3
	debian/fetchdictdata.py -f

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install

## freedict 2018.10.21

=== ara-eng/Makefile ===
# The line below is really just a fallback and only works if you have got a copy of the tools directory at this location. It's better to set the environment variable in your shell.
FREEDICT_TOOLS ?= ../../tools
DISTFILES = COPYING AUTHORS Makefile ara-eng.tei README ChangeLog \
INSTALL freedict-P5.dtd freedict-P5.rng freedict-P5.xml freedict-dictionary.css
supported_phonetics=
include $(FREEDICT_TOOLS)/mk/dicts.mk
UNSUPPORTED_PLATFORMS = evolutionary

=== bre-fra/Makefile ===
# The line below is really just a fallback and only works if you have got a copy of the tools directory at this location. It's better to set the environment variable in your shell.
FREEDICT_TOOLS ?= ../../tools
DISTFILES = bre-fra.tei tei.css COPYING tei.xsl Makefile \
			freedict-P5.rng freedict-P5.dtd freedict-P5.xml ChangeLog INSTALL
supported_phonetics=
include $(FREEDICT_TOOLS)/mk/dicts.mk

=== deu-eng/Makefile ===
--- 
+++ 
@@ -1,4 +1,5 @@
-FREEDICTDIR ?= ..
+# The line below is really just a fallback and only works if you have got a copy of the tools directory at this location. It's better to set the environment variable in your shell.
+FREEDICT_TOOLS ?= ../../tools
 DISTFILES = AUTHORS COPYING ChangeLog INSTALL Makefile NEWS README deu-eng.tei \
  freedict-P5.dtd freedict-P5.rng freedict-P5.xml freedict-dictionary.css
 
@@ -7,5 +8,4 @@
 # upstream is implemented.
 supported_phonetics =
 
-include $(FREEDICTDIR)/tools/Makefile.common
-
+include $(FREEDICT_TOOLS)/mk/dicts.mk

=== deu-por/Makefile ===
# The line below is really just a fallback and only works if you have got a copy of the tools directory at this location. It's better to set the environment variable in your shell.
FREEDICT_TOOLS ?= ../../tools
DISTFILES = AUTHORS ChangeLog COPYING deu-por.tei INSTALL Makefile NEWS README \
 freedict-P5.dtd freedict-P5.rng freedict-P5.xml freedict-dictionary.css
supported_phonetics=
include $(FREEDICT_TOOLS)/mk/dicts.mk
clean::
	rm -f deu-por.tei

=== deu-tur/Makefile ===
# The line below is really just a fallback and only works if you have got a copy of the tools directory at this location. It's better to set the environment variable in your shell.
FREEDICT_TOOLS ?= ../../tools
DISTFILES = german-turkish.txt Makefile deu-tur.tei deu-tur.tei.header README ChangeLog \
INSTALL freedict-P5.dtd freedict-P5.rng freedict-P5.xml freedict-dictionary.css
supported_phonetics=
include $(FREEDICT_TOOLS)/mk/dicts.mk

=== eng-ces/Makefile ===
# The line below is really just a fallback and only works if you have got a copy of the tools directory at this location. It's better to set the environment variable in your shell.
FREEDICT_TOOLS ?= ../../tools
DISTFILES = ChangeLog English-Czech.xdf Makefile \
	eng-ces.tei eng-ces.tei.header README ChangeLog general.footer \
  INSTALL freedict-P5.dtd freedict-P5.rng freedict-P5.xml freedict-dictionary.css
supported_phonetics=
include $(FREEDICT_TOOLS)/mk/dicts.mk
#eng-ces-nophon.tei: $(toolsdir)/xdf2tei.pl eng-ces.tei.header general.footer
#	cat eng-ces.tei.header >$@
#	$(toolsdir)/xdf2tei.pl <English-Czech.xdf >>$@
#	cat general.footer >>$@

#clean::
#	rm -f eng-ces.tei eng-ces-nophon.tei

=== eng-deu/Makefile ===
# The line below is really just a fallback and only works if you have got a copy of the tools directory at this location. It's better to set the environment variable in your shell.
FREEDICT_TOOLS ?= ../../tools
DISTFILES = AUTHORS ChangeLog COPYING eng-deu.tei INSTALL Makefile NEWS README \
freedict-P5.dtd freedict-P5.rng freedict-P5.xml freedict-dictionary.css
# Clear this variable, because currently the .tei file already contains
# phonetics information.  This will have to be removed, when proper import from
# upstream is implemented.
supported_phonetics =

include $(FREEDICT_TOOLS)/mk/dicts.mk

=== eng-gle/Makefile ===
# The line below is really just a fallback and only works if you have got a copy of the tools directory at this location. It's better to set the environment variable in your shell.
FREEDICT_TOOLS ?= ../../tools
DISTFILES = AUTHORS ChangeLog COPYING eng-gle.tei INSTALL Makefile NEWS README \
freedict-P5.dtd freedict-P5.rng freedict-P5.xml freedict-dictionary.css
# Clear this variable, because currently the .tei file already contains
# phonetics information.
supported_phonetics =
include $(FREEDICT_TOOLS)/mk/dicts.mk

=== eng-hin/Makefile ===
# The line below is really just a fallback and only works if you have got a copy of the tools directory at this location. It's better to set the environment variable in your shell.
FREEDICT_TOOLS ?= ../../tools
DISTFILES = COPYING Makefile README ChangeLog AUTHORS \
	 English-Hindi-Dictionary_2.isc INSTALL NEWS \
	 ehconv.yy eng-hin.tei eng-hin.tei.header  \
   freedict-P5.dtd freedict-P5.rng freedict-P5.xml freedict-dictionary.css
TEI2DICTFLAGS = -a
supported_phonetics=
include $(FREEDICT_TOOLS)/mk/dicts.mk
UNSUPPORTED_PLATFORMS = evolutionary bedic

# these are eng-hin specific targets
#ehconv.c: ehconv.yy
#	flex -oehconv.c ehconv.yy

#ehconv: ehconv.c
#	gcc ehconv.c -lfl -oehconv

#eng-hin-nophon.tei: eng-hin.tei.header ehconv English-Hindi-Dictionary_2.isc
#	cp eng-hin.tei.header $@
#	./ehconv <English-Hindi-Dictionary_2.isc >>$@

#clean::
#	rm -f ehconv.c eng-hin.tei eng-hin-nophon.tei ehconv

=== eng-pol/Makefile ===
# The line below is really just a fallback and only works if you have got a copy of the tools directory at this location. It's better to set the environment variable in your shell.
FREEDICT_TOOLS ?= ../../tools
DISTFILES = AUTHORS ChangeLog COPYING eng-pol.tei INSTALL README Makefile freedict-P5.dtd eng-pol.css freedict-P5.rng freedict-P5.xml letters etc
supported_phonetics=

include $(FREEDICT_TOOLS)/mk/dicts.mk

=== eng-rom/Makefile ===
# The line below is really just a fallback and only works if you have got a copy of the tools directory at this location. It's better to set the environment variable in your shell.
FREEDICT_TOOLS ?= ../../tools
DISTFILES = AUTHORS ChangeLog COPYING INSTALL Makefile NEWS README \
eng-rom.tei eng-rom.tei.header README ChangeLog eng-rom.text romtext2tei.pl \
freedict-P5.dtd freedict-P5.rng freedict-P5.xml freedict-dictionary.css
supported_phonetics=
include $(FREEDICT_TOOLS)/mk/dicts.mk
#clean::
#	rm -f eng-rom-nophon.tei eng-rom.tei

#eng-rom-nophon.tei: eng-rom.text eng-rom.tei.header
#	./romtext2tei.pl < $< > $@

=== eng-spa/Makefile ===
# The line below is really just a fallback and only works if you have got a copy of the tools directory at this location. It's better to set the environment variable in your shell.
FREEDICT_TOOLS ?= ../../tools
DISTFILES = AUTHORS ChangeLog COPYING eng-spa.tei INSTALL Makefile NEWS README \
freedict-P5.dtd freedict-P5.rng freedict-P5.xml freedict-dictionary.css
supported_phonetics=
include $(FREEDICT_TOOLS)/mk/dicts.mk
#include $(toolsdir)/ergane/Makefile.inc

#$(dictname)-nophon.tei: $(dictname).tei.header

# for teidiff: checkout an old revision
#old/$(dictname).tei:
#	cvs -z3 checkout -d old -D 2006-01-01 $(dictname)/$(dictname).tei

#old = old/$(dictname).tei

=== debian/changelog ===
freedict (2018.10.21-3) unstable; urgency=medium

  * fixing FTBFS by import upstream fixes

 -- Sebastian Humenda <shumenda@gmx.de>  Thu, 31 Jan 2019 13:18:32 +0100

freedict (2018.10.21-2) unstable; urgency=medium

  * depend on the latest freedict-tools (required for phoneme generation)

 -- Sebastian Humenda <shumenda@gmx.de>  Tue, 29 Jan 2019 16:01:41 +0100

freedict (2018.10.21-1) unstable; urgency=medium

  [ Sebastian Humenda ]
  * new upstream release(s)
  * drop wikdict dictionaries, shipped in a separate source package; this
    doesn't affect users and is a source package change
  * drop dict-freedict-all package: this package cannot be auto-generated
    anymore, due to the source package split
  * fix stderr/stdout redirection in maintainer scripts (Closes: #908189)

  [ Sébastien Villemot ]
  * Support parallel keyword of DEB_BUILD_OPTIONS

 -- Sebastian Humenda <shumenda@gmx.de>  Mon, 29 Oct 2018 12:59:12 +0200

=== debian/control ===
Source: freedict
Section: text
Priority: optional
Maintainer: Sebastian Humenda <shumenda@gmx.de>
Build-Depends: debhelper (>= 11.0~), freedict-tools (>= 0.5.0~beta.4)
Standards-Version: 4.3.0
Homepage: https://freedict.org/
Vcs-Browser: https://salsa.debian.org/freedict-team/dictionaries
Vcs-Git: https://salsa.debian.org/freedict-team/dictionaries.git

Package: dict-freedict-afr-deu
Architecture: all
Depends: ${misc:Depends}
Suggests: dictd | dicod, dict | kdict | gnome-dictionary | goldendict
Provides: dictd-dictionary
Description: Afrikaans-German dictionary for the dict server/client 
 This is the Afrikaans-German dictionary from the FreeDict project, version
 0.3.2. It contains 3800 headwords (FreeDict status: too small). It can be
 either used with the dictd server and a dict client or with GoldenDict. 

Package: dict-freedict-afr-eng
Architecture: all
Depends: ${misc:Depends}
Suggests: dictd | dicod, dict | kdict | gnome-dictionary | goldendict
Provides: dictd-dictionary
Description: Afrikaans-English dictionary for the dict server/client 
 This is the Afrikaans-English dictionary from the FreeDict project, version
 0.2.2. It contains 5129 headwords (FreeDict status: small). It can be either
 used with the dictd server and a dict client or with GoldenDict. 

Package: dict-freedict-ara-eng
Architecture: all
Depends: ${misc:Depends}
Suggests: dictd | dicod, dict | kdict | gnome-dictionary | goldendict
Provides: dictd-dictionary
Description: Arabic-English dictionary for the dict server/client 
 This is the Arabic-English dictionary from the FreeDict project, version
 0.6.3. It contains 52996 headwords (FreeDict status: stable). It can be either
 used with the dictd server and a dict client or with GoldenDict. 

Package: dict-freedict-bre-fra
Architecture: all
Depends: ${misc:Depends}
Suggests: dictd | dicod, dict | kdict | gnome-dictionary | goldendict
Provides: dictd-dictionary
Description: Breton-French dictionary for the dict server/client 
 This is the Breton-French dictionary from the FreeDict project, version
 0.8.3. It contains 27034 headwords (FreeDict status: Big enough to be useful).
 It can be either used with the dictd server and a dict client or with
 GoldenDict. 

Package: dict-freedict-ces-eng
Architecture: all
Depends: ${misc:Depends}
Suggests: dictd | dicod, dict | kdict | gnome-dictionary | goldendict
Provides: dictd-dictionary
Description: Czech-English dictionary for the dict server/client 
 This is the Czech-English dictionary from the FreeDict project, version
 0.2.3. It contains 488 headwords (FreeDict status: too small). It can be either
 used with the dictd server and a dict client or with GoldenDict. 

Package: dict-freedict-ckb-kmr
Architecture: all
Depends: ${misc:Depends}
Suggests: dictd | dicod, dict | kdict | gnome-dictionary | goldendict
Provides: dictd-dictionary
Description: Central Kurdish-Northern Kurdish dictionary for the dict server/client 
 This is the Central Kurdish-Northern Kurdish dictionary from the FreeDict
 project, version 0.2. It contains 7845 headwords (FreeDict status: stable). It
 can be either used with the dictd server and a dict client or with GoldenDict. 

Package: dict-freedict-cym-eng
Architecture: all
Depends: ${misc:Depends}
Suggests: dictd | dicod, dict | kdict | gnome-dictionary | goldendict
Provides: dictd-dictionary
Description: Welsh-English dictionary for the dict server/client 
 This is the Welsh-English dictionary from the FreeDict project, version
 0.2.3. It contains 12630 headwords (FreeDict status: big enough). It can be
 either used with the dictd server and a dict client or with GoldenDict. 

Package: dict-freedict-dan-eng
Architecture: all
Depends: ${misc:Depends}
Suggests: dictd | dicod, dict | kdict | gnome-dictionary | goldendict
Provides: dictd-dictionary
Description: Danish-English dictionary for the dict server/client 
 This is the Danish-English dictionary from the FreeDict project, version
 0.2.2. It contains 3997 headwords (FreeDict status: too small). It can be
 either used with the dictd server and a dict client or with GoldenDict. 

Package: dict-freedict-deu-eng
Architecture: all
Depends: ${misc:Depends}
Suggests: dictd | dicod, dict | kdict | gnome-dictionary | goldendict
Provides: dictd-dictionary
Description: German-English dictionary for the dict server/client 
 This is the German-English dictionary from the FreeDict project, version
 0.3.5. It contains 81621 headwords (FreeDict status: old upstream version). It
 can be either used with the dictd server and a dict client or with GoldenDict. 

Package: dict-freedict-deu-ita
Architecture: all
Depends: ${misc:Depends}
Suggests: dictd | dicod, dict | kdict | gnome-dictionary | goldendict
Provides: dictd-dictionary
Description: German-Italian dictionary for the dict server/client 
 This is the German-Italian dictionary from the FreeDict project, version 0.2.
 It contains 4454 headwords (FreeDict status: small). It can be either used with
 the dictd server and a dict client or with GoldenDict. 

Package: dict-freedict-deu-kur
Architecture: all
Depends: ${misc:Depends}
Suggests: dictd | dicod, dict | kdict | gnome-dictionary | goldendict
Provides: dictd-dictionary
Description: German-Kurdish dictionary for the dict server/client 
 This is the German-Kurdish dictionary from the FreeDict project, version
 0.2.2. It contains 22567 headwords (FreeDict status: stable). It can be either
 used with the dictd server and a dict client or with GoldenDict. 

Package: dict-freedict-deu-nld
Architecture: all
Depends: ${misc:Depends}
Suggests: dictd | dicod, dict | kdict | gnome-dictionary | goldendict
Provides: dictd-dictionary
Description: German-Dutch dictionary for the dict server/client 
 This is the German-Dutch dictionary from the FreeDict project, version 0.1.4.
 It contains 12812 headwords (FreeDict status: small). It can be either used
 with the dictd server and a dict client or with GoldenDict. 

Package: dict-freedict-deu-por
Architecture: all
Depends: ${misc:Depends}
Suggests: dictd | dicod, dict | kdict | gnome-dictionary | goldendict
Provides: dictd-dictionary
Description: German-Portuguese dictionary for the dict server/client 
 This is the German-Portuguese dictionary from the FreeDict project, version
 0.2.2. It contains 8742 headwords (FreeDict status: too small). It can be
 either used with the dictd server and a dict client or with GoldenDict. 

Package: dict-freedict-deu-tur
Architecture: all
Depends: ${misc:Depends}
Suggests: dictd | dicod, dict | kdict | gnome-dictionary | goldendict
Provides: dictd-dictionary
Description: German-Turkish dictionary for the dict server/client 
 This is the German-Turkish dictionary from the FreeDict project, version
 0.2.2. It contains 36219 headwords (FreeDict status: stable). It can be either
 used with the dictd server and a dict client or with GoldenDict. 

Package: dict-freedict-eng-afr
Architecture: all
Depends: ${misc:Depends}
Suggests: dictd | dicod, dict | kdict | gnome-dictionary | goldendict
Provides: dictd-dictionary
Description: English-Afrikaans dictionary for the dict server/client 
 This is the English-Afrikaans dictionary from the FreeDict project, version
 0.1.3. It contains 6397 headwords (FreeDict status: small). It can be either
 used with the dictd server and a dict client or with GoldenDict. 

Package: dict-freedict-eng-ara
Architecture: all
Depends: ${misc:Depends}
Suggests: dictd | dicod, dict | kdict | gnome-dictionary | goldendict
Provides: dictd-dictionary
Description: English-Arabic dictionary for the dict server/client 
 This is the English-Arabic dictionary from the FreeDict project, version
 0.6.3. It contains 87424 headwords (FreeDict status: stable). It can be either
 used with the dictd server and a dict client or with GoldenDict. 

Package: dict-freedict-eng-ces
Architecture: all
Depends: ${misc:Depends}
Suggests: dictd | dicod, dict | kdict | gnome-dictionary | goldendict
Provides: dictd-dictionary
Description: English-Czech dictionary for the dict server/client 
 This is the English-Czech dictionary from the FreeDict project, version
 0.1.3. It contains 150004 headwords (FreeDict status: stable). It can be either
 used with the dictd server and a dict client or with GoldenDict. 

Package: dict-freedict-eng-cym
Architecture: all
Depends: ${misc:Depends}
Suggests: dictd | dicod, dict | kdict | gnome-dictionary | goldendict
Provides: dictd-dictionary
Description: English-Welsh dictionary for the dict server/client 
 This is the English-Welsh dictionary from the FreeDict project, version
 0.2.3. It contains 12630 headwords (FreeDict status: big enough). It can be
 either used with the dictd server and a dict client or with GoldenDict. 

Package: dict-freedict-eng-deu
Architecture: all
Depends: ${misc:Depends}
Suggests: dictd | dicod, dict | kdict | gnome-dictionary | goldendict
Provides: dictd-dictionary
Description: English-German dictionary for the dict server/client 
 This is the English-German dictionary from the FreeDict project, version
 0.3.7. It contains 93275 headwords (FreeDict status: old upstream version). It
 can be either used with the dictd server and a dict client or with GoldenDict. 

Package: dict-freedict-eng-ell
Architecture: all
Depends: ${misc:Depends}
Suggests: dictd | dicod, dict | kdict | gnome-dictionary | goldendict
Provides: dictd-dictionary
Description: English-Modern Greek (1453-) dictionary for the dict server/client 
 This is the English-Modern Greek (1453-) dictionary from the FreeDict
 project, version 0.1.1. It contains 20973 headwords (FreeDict status: big
 enough to be useful). It can be either used with the dictd server and a dict
 client or with GoldenDict. 

Package: dict-freedict-eng-fra
Architecture: all
Depends: ${misc:Depends}
Suggests: dictd | dicod, dict | kdict | gnome-dictionary | goldendict
Provides: dictd-dictionary
Description: English-French dictionary for the dict server/client 
 This is the English-French dictionary from the FreeDict project, version
 0.1.6. It contains 8799 headwords (FreeDict status: small). It can be either
 used with the dictd server and a dict client or with GoldenDict. 

Package: dict-freedict-eng-gle
Architecture: all
Depends: ${misc:Depends}
Suggests: dictd | dicod, dict | kdict | gnome-dictionary | goldendict
Provides: dictd-dictionary
Description: English-Irish dictionary for the dict server/client 
 This is the English-Irish dictionary from the FreeDict project, version
 0.3.2. It contains 1359 headwords (FreeDict status: too small). It can be
 either used with the dictd server and a dict client or with GoldenDict. 

Package: dict-freedict-eng-hin
Architecture: all
Depends: ${misc:Depends}
Suggests: dictd | dicod, dict | kdict | gnome-dictionary | goldendict
Provides: dictd-dictionary
Description: English-Hindi dictionary for the dict server/client 
 This is the English-Hindi dictionary from the FreeDict project, version 1.6.
 It contains 25642 headwords (FreeDict status: low quality). It can be either
 used with the dictd server and a dict client or with GoldenDict. 

Package: dict-freedict-eng-hrv
Architecture: all
Depends: ${misc:Depends}
Suggests: dictd | dicod, dict | kdict | gnome-dictionary | goldendict
Provides: dictd-dictionary
Description: English-Croatian dictionary for the dict server/client 
 This is the English-Croatian dictionary from the FreeDict project, version
 0.2.2. It contains 59194 headwords (FreeDict status: stable). It can be either
 used with the dictd server and a dict client or with GoldenDict. 

Package: dict-freedict-eng-hun
Architecture: all
Depends: ${misc:Depends}
Suggests: dictd | dicod, dict | kdict | gnome-dictionary | goldendict
Provides: dictd-dictionary
Description: English-Hungarian dictionary for the dict server/client 
 This is the English-Hungarian dictionary from the FreeDict project, version
 0.2.1. It contains 89679 headwords (FreeDict status: stable). It can be either

=== debian/rules ===
#!/usr/bin/make -f
# Uncomment this to turn on verbose mode.
# export DH_VERBOSE=1

FREEDICT_TOOLS ?= /usr/share/freedict
export FREEDICT_TOOLS

DICTS=$(strip $(shell find . -maxdepth 1 -name '???-???'|sort |sed 's|^\./||g'|tr '\n' ' '))

# overwrite any existing definition
export FREEDICT_TOOLS = /usr/share/freedict

# If the environment variable BUILD_MODE=dummy is set, no dictionaries are
# build, but only dummy files are created. This is useful for test builds of the
# package, because the actual build takes ages.
BUILD_MODE ?= normal

ifneq (,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
    NUMJOBS = $(patsubst parallel=%,%,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
    MAKEFLAGS += -j$(NUMJOBS)
endif

%:
	dh $@

override_dh_auto_build: $(DICTS)

$(DICTS):
ifeq ($(BUILD_MODE),normal)
	$(MAKE) -C $@ build-dictd
else
	mkdir -p $@/build/dictd
	touch $@/build/dictd/$@.dict.dz $@/build/dictd/$@.index
endif

override_dh_auto_clean:
	dh_clean
	dh_testdir
	rm -f build-stamp timestamp configure-stamp
	rm -rf config.txt
	for DICT in $(DICTS); do \
		rm -rf $$DICT/build; \
		rm -rf debian/dict-freedict-$$DICT.dirs; \
		rm -rf debian/dict-freedict-$$DICT.docs; \
		rm -rf debian/dict-freedict-$$DICT.postinst; \
		rm -rf debian/dict-freedict-$$DICT.postrm; \
	done
	dh_clean


override_dh_auto_install:
	# create debian/dict-freedict-$LANG.dirs file and maint scripts
	for DICT in $(DICTS); do \
		sed "s/LANG/$$DICT/g" debian/dict-freedict-lang-dirs.tmpl > \
			debian/dict-freedict-$$DICT.dirs; \
		cp debian/postinst debian/dict-freedict-$$DICT.postinst; \
		cp debian/postrm debian/dict-freedict-$$DICT.postrm; \
	done

	dh_installdirs

	# copy files to final destination
	for DICT in $(DICTS); do \
		cp $$DICT/build/dictd/$$DICT.dict.dz debian/dict-freedict-$$DICT/usr/share/dictd/freedict-$$DICT.dict.dz; \
		cp $$DICT/build/dictd/$$DICT.index debian/dict-freedict-$$DICT/usr/share/dictd/freedict-$$DICT.index; \
	done

	# generate *.docs-files:
	sh debian/gendocs.sh
	dh_install

# this rule is explicitly here to document the source retrieval workflow
# requires python3
fetch-orig:
	python3 $(FREEDICT_TOOLS)/fetchdictdata.py --orig --criteria 'sourceURL!wikdict'

# generate debian/copyright and debian/control
gen-cc:
	python3 $(FREEDICT_TOOLS)/fetchdictdata.py --dc --criteria 'sourceURL!wikdict'

.PHONY: override_dh_auto_build_indep override_dh_auto_clean override_dh_auto_install $(DICTS)
